Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::HomeConfiguration Interface Reference

`import "CCM_Component.idl";`

Inheritance diagram for Components::HomeConfiguration:

[legend]
Collaboration diagram for Components::HomeConfiguration:

[legend]
List of all members.

## Public Methods
void | set_configurator (in Configurator cfg)
void | set_configuration_values (in ConfigValues config)
void | complete_component_configuration (in boolean b)
void | disable_home_configuration ()
void | set_configurator (in Configurator cfg)
void | set_configuration_values (in ConfigValues config)
void | complete_component_configuration (in boolean b)
void | disable_home_configuration ()

## Member Function Documentation

void Components::HomeConfiguration::complete_component_configuration | ( | in boolean | b | ) |

void Components::HomeConfiguration::complete_component_configuration | ( | in boolean | b | ) |

void Components::HomeConfiguration::disable_home_configuration | ( |  | ) |

void Components::HomeConfiguration::disable_home_configuration | ( |  | ) |

void Components::HomeConfiguration::set_configuration_values | ( | in ConfigValues | config | ) |

void Components::HomeConfiguration::set_configuration_values | ( | in ConfigValues | config | ) |

void Components::HomeConfiguration::set_configurator | ( | in Configurator | cfg | ) |

void Components::HomeConfiguration::set_configurator | ( | in Configurator | cfg | ) |

The documentation for this interface was generated from the following files:

- CCM_Component.idl
- Component_Base.idl